## beangulp 0.1.1+git20241217

=== debian/changelog ===
beangulp (0.1.1+git20241217-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2024 15:28:59 -0500

beangulp (0.1.1+git20241217-1) unstable; urgency=medium

  * Initial release. (Closes: #1091093)

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2024 09:53:02 -0500

## beangulp 0.2.0

=== requirements.txt ===
beancount >=2.3.5
beautifulsoup4
chardet
click >7.0
lxml
python-magic >=0.4.12; sys_platform != 'win32'
petl

=== debian/changelog ===
beangulp (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * Add text/org MIME type in tests (closes: #1118418).
  * Enable autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 01:15:46 +0100

beangulp (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Remove examples/ and tools/ from dist-packages

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Apr 2025 16:39:54 +0200

beangulp (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100196).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 16:59:44 +0000

beangulp (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 09:42:30 -0500

=== debian/control ===
Source: beangulp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 beancount,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-beancount,
 python3-bs4,
 python3-chardet,
 python3-click,
 python3-lxml,
 python3-magic,
 python3-petl,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/beancount/beangulp
Vcs-Git: https://salsa.debian.org/python-team/packages/beangulp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/beangulp
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: Importers Framework for Beancount
 Beangulp provides a framework for importing transactions into a
 Beancount ledger from account statements and other documents and
 for managing documents.
 .
 Beangulp is compatible with both Beancount 2.3 and the Beancount 3.0.
 Beangulp is the evolution of beancount.ingest in Beancount 2.3 and replaces
 it in the Beancount 3.0 release.

Package: python3-beangulp
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 beangulp,
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = beangulp

# To help tests find necessary artifacts
export PYBUILD_BEFORE_TEST=cp -r $(CURDIR)/beangulp/file_type_testdata {build_dir}/beangulp/
# Remove all introduced test artifacts
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/beangulp/file_type_testdata

export PYBUILD_TEST_ARGS = {dir}/beangulp

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-levenshtein-$1.tar.gz%" \
https://github.com/beancount/beangulp/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
